package com.ssj.service.conch.teacher.app.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 * @author yanghuan
 * @title: QuestionRequest
 * @projectName ssj
 * @description: TODO
 * @date 2019/7/10 11:16
 */
public class QuestionRequest extends BaseRequest {

    private static final long serialVersionUID =1626806454966566407L;

    @ApiModelProperty(name = "vipId", value = "学生vipId")
    @NotBlank
    private String vipId;

    @ApiModelProperty(name = "subject", value = "科目")
    @NotBlank
    private  String subject;

    @ApiModelProperty(name = "type", value = "类型：1模糊， 2作业不全")
    @NotNull
    private int type;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
